% List of open inputs
% Gunzip Files: File Set - cfg_files
% Gzip Files: Output Directory - cfg_files

subject_file = inputs{1};
output_folder = inputs{2};

jobfile = {'/opt/anon_app/src/spm_norm_job.m'};
inputs = cell(2, 1);

% create output directory
if ~exist(output_folder, 'dir')
    mkdir(output_folder)
end

inputs{1} = cellstr(subject_file); % Gunzip Files: File Set - cfg_files
inputs{2} = cellstr(output_folder); % Gzip Files: Output Directory - cfg_files

spm('defaults', 'FMRI');
spm_jobman('run', jobfile, inputs{:});