% List of open inputs
% Gunzip and Normalise: Write: Deformation Field - cfg_files
% Gunzip and Normalise: Write: Images to Write - cfg_files
% Gzip Files: Output Directory - cfg_files

y_file = inputs{1};
subject_file = inputs{2};
output_folder = inputs{3};

% create output directory
if ~exist(output_folder, 'dir')
    mkdir(output_folder)
end

jobfile = {'/opt/anon_app/src/spm_norm_from_warp_job.m'};
inputs = cell(3, 1);
inputs{1} = cellstr(y_file); % Gunzip and Normalise: Write: Deformation Field - cfg_files
inputs{2} = cellstr(subject_file); % Gunzip and Normalise: Write: Images to Write - cfg_files
inputs{3} = cellstr(output_folder); % Gzip Files: Output Directory - cfg_files

spm('defaults', 'FMRI');
spm_jobman('run', jobfile, inputs{:});